package xiaoqu.home.open.model.db2;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 计划对象
 * </p>
 *
 * @author mk
 * @since 2022-05-04
 */
@TableName("plan_object")
@ApiModel(value="PlanObject对象", description="计划对象")
public class PlanObject extends Model<PlanObject> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建人")
    @TableField("create_name")
    private String createName;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改人")
    @TableField("modify_name")
    private String modifyName;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "任务场景id")
    @TableField("plan_scenes_id")
    private Long planScenesId;

    @ApiModelProperty(value = "场景级别1:1级;2:2级.....")
    @TableField("scenes_level")
    private Integer scenesLevel;

    @ApiModelProperty(value = "对象id")
    @TableField("object_id")
    private Long objectId;

    @ApiModelProperty(value = "对象名称")
    @TableField("object_name")
    private String objectName;

    @ApiModelProperty(value = "对象上级id")
    @TableField("object_parent_id")
    private Long objectParentId;

    @ApiModelProperty(value = "对象上级名称")
    @TableField("object_parent_name")
    private String objectParentName;

    @ApiModelProperty(value = "对象级别")
    @TableField("object_level")
    private Integer objectLevel;

    @ApiModelProperty(value = "计划id")
    @TableField("plan_id")
    private Long planId;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public String getModifyName() {
        return modifyName;
    }

    public void setModifyName(String modifyName) {
        this.modifyName = modifyName;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Long getPlanScenesId() {
        return planScenesId;
    }

    public void setPlanScenesId(Long planScenesId) {
        this.planScenesId = planScenesId;
    }

    public Integer getScenesLevel() {
        return scenesLevel;
    }

    public void setScenesLevel(Integer scenesLevel) {
        this.scenesLevel = scenesLevel;
    }

    public Long getObjectId() {
        return objectId;
    }

    public void setObjectId(Long objectId) {
        this.objectId = objectId;
    }

    public String getObjectName() {
        return objectName;
    }

    public void setObjectName(String objectName) {
        this.objectName = objectName;
    }

    public Long getObjectParentId() {
        return objectParentId;
    }

    public void setObjectParentId(Long objectParentId) {
        this.objectParentId = objectParentId;
    }

    public String getObjectParentName() {
        return objectParentName;
    }

    public void setObjectParentName(String objectParentName) {
        this.objectParentName = objectParentName;
    }

    public Integer getObjectLevel() {
        return objectLevel;
    }

    public void setObjectLevel(Integer objectLevel) {
        this.objectLevel = objectLevel;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "PlanObject{" +
        "id=" + id +
        ", createId=" + createId +
        ", createName=" + createName +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyName=" + modifyName +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", planScenesId=" + planScenesId +
        ", scenesLevel=" + scenesLevel +
        ", objectId=" + objectId +
        ", objectName=" + objectName +
        ", objectParentId=" + objectParentId +
        ", objectParentName=" + objectParentName +
        ", objectLevel=" + objectLevel +
        ", planId=" + planId +
        "}";
    }
}
